SRC_URI = "git://git.sysmocom.de/sysmo-bts/u-boot;branch=v2011.12;protocol=git"
SRCREV = "40d74c99ac9d741857d1298617b186b1d4e148de"
PV = "v2011.12+git${SRCPV}"
S = "${WORKDIR}/git"

PRINC = "11"

LIC_FILES_CHKSUM = "file://COPYING;md5=1707d6db1d42237583f50183a5651ecb \
                    file://README;beginline=1;endline=22;md5=5ba4218ac89af7846802d0348df3fb90"

UBOOT_MACHINE_sysmobts-v1 = "davinci_sysmobts_v1_config"
UBOOT_MACHINE_sysmobts-v2 = "davinci_sysmobts_v2_config"
UBOOT_MACHINE_sysmobts-2050 = "davinci_sysmobts_v2_config"
COMPATIBLE_MACHINE = "(sysmobts-v1|sysmobts-v2|sysmobts-2050)"

UBOOT_IMAGE = "u-boot-${MACHINE}-${PV}-${PR}"
UBOOT_SYMLINK = "u-boot-${MACHINE}"

do_deploy_prepend () {
	install ${S}/u-boot.bin ${DEPLOYDIR}/${UBOOT_IMAGE}.bin
	install ${S}/u-boot ${DEPLOYDIR}/${UBOOT_IMAGE}.elf

	cd ${DEPLOYDIR}
	rm -f ${UBOOT_SYMLINK}.bin
	rm -f ${UBOOT_SYMLINK}.elf
	ln -sf ${UBOOT_IMAGE}.bin ${UBOOT_SYMLINK}.bin
	ln -sf ${UBOOT_IMAGE}.elf ${UBOOT_SYMLINK}.elf
	return
}
