DESCRIPTION = "A utility to set system RTC to GPSD time"
SECTION = "console/network"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=b234ee4d69f5fce4486a80fdaf4a4263"
DEPENDS = "gpsd"
RDEPENDS_${PN} = "libgps"

PE = "1"
PR = "r8"
PV = "0.1+git${SRCPV}"

SRC_URI = "git://git.sysmocom.de/gpsdate.git;branch=master \
"
SRCREV = "0db898e4b8870ecc8e703ca3b6cafb6281077188"
S = "${WORKDIR}/git"

INITSCRIPT_NAME = "gpsdate"
INITSCRIPT_PARAMS = "defaults 35"

inherit update-rc.d

do_install() {
    install -d ${D}/${sbindir}
    install -m 0755 ${S}/gpsdate ${D}/${sbindir}/gpsdate
    install -d ${D}/${sysconfdir}/init.d
    install -m 0755 ${S}/gpsdate.init ${D}/${sysconfdir}/init.d/gpsdate
}
